"use client"

import { Message } from "@prisma/client"
import { useState } from "react"

export default function PostMessageForm(props: { data: Message[] | null }) {
  const [formData, setFormData] = useState({})
  // const [messagesState, setMessages] = useState(props.data)

  async function postMessage(e: any) {
    e.preventDefault()
    // setMessages([...messagesState, formData])
    console.log(formData)
    const response = await fetch('http://localhost:3000/api/threads', {
      method: 'POST',
      body: JSON.stringify(formData)
    })
    return await response.json()
  }

  return (
    <div>
      <form onSubmit={postMessage}>
        <input type="text" placeholder="content" name="content" onChange={e => setFormData({ ...formData, content: e.target.value })} />
        <button type="submit">Post Message</button>
      </form>
    </div>
  )
}